#
# spec file for package lollypop-portal
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lollypop-portal
Version:        0.9.1
Release:        1.1
Summary:        Lollypop flatpak portal (advanced features for Lollypop)
License:        GPL-3.0+
Group:          Productivity/Multimedia/Sound/Players
Url:            https://github.com/gnumdk/lollypop-portal
Source:         https://github.com/gnumdk/lollypop-portal/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  gobject-introspection-devel
BuildRequires:  pkgconfig
BuildRequires:  python3
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Lollypop portal dbus service allows Lollypop to launch external commands (pa-cmd, kid3-cli, ...) through flatpak sandbox. This service is also used when running without sandbox.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install
chmod +x %{buildroot}%{_libexecdir}/lollypop-portal

%files
%defattr(-,root,root)
%doc COPYING
%{_datadir}/dbus-1/services/org.gnome.Lollypop.Portal.service
%{_libexecdir}/lollypop-portal

%changelog
* Thu Apr 13 2017 badshah400@gmail.com
- Update to version 0.9.1:
  * Bug fixes.
- lollypop-portal binary moved from %%{_datadir}/lollypop-portal to
  %%{_libexecdir}/lollypop-portal; adapt file list and chmod usage
  accordingly.
* Tue Dec 20 2016 badshah400@gmail.com
- Initial package.
